## r-cran-rdflib 0.2.2+dfsg

=== DESCRIPTION ===
Package: rdflib
Title: Tools to Manipulate and Query Semantic Data
Version: 0.2.2
Authors@R: c(person("Carl", "Boettiger", 
                  email = "cboettig@gmail.com", 
                  role = c("aut", "cre", "cph"),
                  comment=c(ORCID = "0000-0002-1642-628X")),
             person("Bryce", "Mecum", 
                  role = "rev",
                  comment=c(ORCID = "0000-0002-0381-3766")),
             person("Anna", "Krystalli", 
                  role = "rev",
                  comment=c(ORCID = "0000-0002-2378-4915")),
             person("Viktor", "Senderov",
                  email = "vsenderov@gmail.com",
                  role = "ctb",
                  comment = c(ORCID = "0000-0003-3340-5963")))
Description: The Resource Description Framework, or 'RDF' is a widely used
             data representation model that forms the cornerstone of the 
             Semantic Web. 'RDF' represents data as a graph rather than 
             the familiar data table or rectangle of relational databases.
             The 'rdflib' package provides a friendly and concise user interface
             for performing common tasks on 'RDF' data, such as reading, writing
             and converting between the various serializations of 'RDF' data,
             including 'rdfxml', 'turtle', 'nquads', 'ntriples', and 'json-ld';
             creating new 'RDF' graphs, and performing graph queries using 'SPARQL'.
             This package wraps the low level 'redland' R package which
             provides direct bindings to the 'redland' C library.  Additionally,
             the package supports the newer and more developer friendly
             'JSON-LD' format through the 'jsonld' package. The package
             interface takes inspiration from the Python 'rdflib' library.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
URL: https://github.com/ropensci/rdflib
BugReports: https://github.com/ropensci/rdflib/issues
Imports: redland, jsonld, methods, utils, stringi, readr, dplyr, tidyr
RoxygenNote: 6.1.1
Suggests: magrittr, covr, testthat, knitr, rmarkdown, jqr, DT, tibble,
        purrr, lubridate, httr, xml2, jsonlite, repurrrsive,
        nycflights13, spelling
VignetteBuilder: knitr
Language: en-US
NeedsCompilation: no
Packaged: 2019-01-15 17:56:23 UTC; cboettig
Author: Carl Boettiger [aut, cre, cph]
    (<https://orcid.org/0000-0002-1642-628X>),
  Bryce Mecum [rev] (<https://orcid.org/0000-0002-0381-3766>),
  Anna Krystalli [rev] (<https://orcid.org/0000-0002-2378-4915>),
  Viktor Senderov [ctb] (<https://orcid.org/0000-0003-3340-5963>)
Maintainer: Carl Boettiger <cboettig@gmail.com>
Repository: CRAN
Date/Publication: 2019-01-15 18:30:03 UTC

## r-cran-rdflib 0.1.0+dfsg

=== debian/changelog ===
r-cran-rdflib (0.1.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #898513)
  * inst/extdata/vita.json just contains references to publications which
    are under TDM license but the content of those publications is not
    part of the package.

 -- Andreas Tille <tille@debian.org>  Sun, 13 May 2018 00:25:00 +0200

=== debian/control ===
Source: r-cran-rdflib
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-stringi,
               r-cran-readr,
               r-cran-redland,
               r-cran-jsonld
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rdflib
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rdflib.git
Homepage: https://cran.r-project.org/package=rdflib

Package: r-cran-rdflib
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tools to manipulate and query semantic data
 The Resource Description Framework, or 'RDF' is a widely used
 data representation model that forms the cornerstone of the
 Semantic Web. 'RDF' represents data as a graph rather than
 the familiar data table or rectangle of relational databases.
 The 'rdflib' package provides a friendly and concise user interface
 for performing common tasks on 'RDF' data, such as reading, writing
 and converting between the various serializations of 'RDF' data,
 including 'rdfxml', 'turtle', 'nquads', 'ntriples', and 'json-ld';
 creating new 'RDF' graphs, and performing graph queries using 'SPARQL'.
 This package wraps the low level 'redland' R package which
 provides direct bindings to the 'redland' C library.  Additionally,
 the package supports the newer and more developer friendly
 'JSON-LD' format through the 'jsonld' package. The package
 interface takes inspiration from the Python 'rdflib' library.

## r-cran-rdflib 0.2.2+dfsg

=== debian/changelog ===
r-cran-rdflib (0.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Autopkgtest: LC_ALL=C.UTF-8

 -- Andreas Tille <tille@debian.org>  Fri, 18 Jan 2019 11:06:36 +0100

r-cran-rdflib (0.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 30 Nov 2018 10:51:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
+               r-cran-redland,
+               r-cran-jsonld,
                r-cran-stringi,
                r-cran-readr,
-               r-cran-redland,
-               r-cran-jsonld
-Standards-Version: 4.1.4
+               r-cran-dplyr,
+               r-cran-tidyr
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rdflib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rdflib.git
 Homepage: https://cran.r-project.org/package=rdflib
@@ -19,7 +21,6 @@
 Package: r-cran-rdflib
 Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-rdflib 0.2.3%2Bdfsg

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/rdflib_([-\d.]*)\.tar\.gz

## r-cran-rdflib 0.2.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rdflib
 Title: Tools to Manipulate and Query Semantic Data
-Version: 0.2.2
+Version: 0.2.3
 Authors@R: c(person("Carl", "Boettiger", 
                   email = "cboettig@gmail.com", 
                   role = c("aut", "cre", "cph"),
@@ -35,14 +35,14 @@
 URL: https://github.com/ropensci/rdflib
 BugReports: https://github.com/ropensci/rdflib/issues
 Imports: redland, jsonld, methods, utils, stringi, readr, dplyr, tidyr
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 Suggests: magrittr, covr, testthat, knitr, rmarkdown, jqr, DT, tibble,
         purrr, lubridate, httr, xml2, jsonlite, repurrrsive,
         nycflights13, spelling
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: no
-Packaged: 2019-01-15 17:56:23 UTC; cboettig
+Packaged: 2020-01-08 19:54:52 UTC; cboettig
 Author: Carl Boettiger [aut, cre, cph]
     (<https://orcid.org/0000-0002-1642-628X>),
   Bryce Mecum [rev] (<https://orcid.org/0000-0002-0381-3766>),
@@ -50,4 +50,4 @@
   Viktor Senderov [ctb] (<https://orcid.org/0000-0003-3340-5963>)
 Maintainer: Carl Boettiger <cboettig@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-01-15 18:30:03 UTC
+Date/Publication: 2020-01-10 04:10:02 UTC

=== debian/changelog ===
r-cran-rdflib (0.2.3+dfsg-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:22:37 +0000

r-cran-rdflib (0.2.3+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 16:37:42 +0200

r-cran-rdflib (0.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2020 12:04:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: r-cran-rdflib
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-redland,
@@ -13,10 +14,11 @@
                r-cran-readr,
                r-cran-dplyr,
                r-cran-tidyr
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rdflib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rdflib.git
 Homepage: https://cran.r-project.org/package=rdflib
+Rules-Requires-Root: no
 
 Package: r-cran-rdflib
 Architecture: all

## r-cran-rdflib 0.2.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rdflib
 Title: Tools to Manipulate and Query Semantic Data
-Version: 0.2.3
+Version: 0.2.5
 Authors@R: c(person("Carl", "Boettiger", 
                   email = "cboettig@gmail.com", 
                   role = c("aut", "cre", "cph"),
@@ -31,18 +31,17 @@
              interface takes inspiration from the Python 'rdflib' library.
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
 URL: https://github.com/ropensci/rdflib
 BugReports: https://github.com/ropensci/rdflib/issues
 Imports: redland, jsonld, methods, utils, stringi, readr, dplyr, tidyr
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.2
 Suggests: magrittr, covr, testthat, knitr, rmarkdown, jqr, DT, tibble,
         purrr, lubridate, httr, xml2, jsonlite, repurrrsive,
         nycflights13, spelling
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: no
-Packaged: 2020-01-08 19:54:52 UTC; cboettig
+Packaged: 2022-02-09 06:01:43 UTC; cboettig
 Author: Carl Boettiger [aut, cre, cph]
     (<https://orcid.org/0000-0002-1642-628X>),
   Bryce Mecum [rev] (<https://orcid.org/0000-0002-0381-3766>),
@@ -50,4 +49,4 @@
   Viktor Senderov [ctb] (<https://orcid.org/0000-0003-3340-5963>)
 Maintainer: Carl Boettiger <cboettig@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-01-10 04:10:02 UTC
+Date/Publication: 2022-02-09 06:30:02 UTC

=== debian/changelog ===
r-cran-rdflib (0.2.5+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 07:42:51 +0100

r-cran-rdflib (0.2.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jan 2022 22:17:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-cran-rdflib
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-redland,
@@ -14,7 +13,7 @@
                r-cran-readr,
                r-cran-dplyr,
                r-cran-tidyr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rdflib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rdflib.git
 Homepage: https://cran.r-project.org/package=rdflib

## r-cran-rdflib 0.2.6+dfsg

=== debian/changelog ===
r-cran-rdflib (0.2.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 19:41:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-rdflib
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rdflib
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rdflib.git
+Homepage: https://cran.r-project.org/package=rdflib
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -13,11 +17,7 @@
                r-cran-readr,
                r-cran-dplyr,
                r-cran-tidyr
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rdflib
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rdflib.git
-Homepage: https://cran.r-project.org/package=rdflib
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rdflib
 Architecture: all

## r-cran-rdflib 0.2.8+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rdflib
 Title: Tools to Manipulate and Query Semantic Data
-Version: 0.2.5
+Version: 0.2.8
 Authors@R: c(person("Carl", "Boettiger", 
                   email = "cboettig@gmail.com", 
                   role = c("aut", "cre", "cph"),
@@ -33,15 +33,15 @@
 Encoding: UTF-8
 URL: https://github.com/ropensci/rdflib
 BugReports: https://github.com/ropensci/rdflib/issues
-Imports: redland, jsonld, methods, utils, stringi, readr, dplyr, tidyr
-RoxygenNote: 7.1.2
+Imports: redland, methods, utils, stringi, readr, dplyr, tidyr
+RoxygenNote: 7.2.3
 Suggests: magrittr, covr, testthat, knitr, rmarkdown, jqr, DT, tibble,
         purrr, lubridate, httr, xml2, jsonlite, repurrrsive,
-        nycflights13, spelling
+        nycflights13, spelling, jsonld
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: no
-Packaged: 2022-02-09 06:01:43 UTC; cboettig
+Packaged: 2023-12-19 03:27:06 UTC; cboettig
 Author: Carl Boettiger [aut, cre, cph]
     (<https://orcid.org/0000-0002-1642-628X>),
   Bryce Mecum [rev] (<https://orcid.org/0000-0002-0381-3766>),
@@ -49,4 +49,4 @@
   Viktor Senderov [ctb] (<https://orcid.org/0000-0003-3340-5963>)
 Maintainer: Carl Boettiger <cboettig@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-02-09 06:30:02 UTC
+Date/Publication: 2023-12-19 12:10:02 UTC

=== debian/changelog ===
r-cran-rdflib (0.2.8+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:38:11 +0100

r-cran-rdflib (0.2.7+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2023 11:19:21 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                dh-r,
                r-base-dev,
                r-cran-redland,
-               r-cran-jsonld,
                r-cran-stringi,
                r-cran-readr,
                r-cran-dplyr,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-magrittr,
        r-cran-covr,
        r-cran-testthat,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-dt,
        r-cran-tibble,
        r-cran-purrr,
        r-cran-lubridate,
        r-cran-httr,
        r-cran-xml2,
        r-cran-jsonlite,
        r-cran-spelling,
        r-cran-jsonld
Restrictions: allow-stderr

## r-cran-rdflib 0.2.9%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rdflib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rdflib.git
 Homepage: https://cran.r-project.org/package=rdflib
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-rdflib 0.2.9+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rdflib
 Title: Tools to Manipulate and Query Semantic Data
-Version: 0.2.8
+Version: 0.2.9
 Authors@R: c(person("Carl", "Boettiger", 
                   email = "cboettig@gmail.com", 
                   role = c("aut", "cre", "cph"),
@@ -31,7 +31,8 @@
              interface takes inspiration from the Python 'rdflib' library.
 License: MIT + file LICENSE
 Encoding: UTF-8
-URL: https://github.com/ropensci/rdflib
+URL: https://docs.ropensci.org/rdflib/,
+        https://github.com/ropensci/rdflib
 BugReports: https://github.com/ropensci/rdflib/issues
 Imports: redland, methods, utils, stringi, readr, dplyr, tidyr
 RoxygenNote: 7.2.3
@@ -41,7 +42,7 @@
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: no
-Packaged: 2023-12-19 03:27:06 UTC; cboettig
+Packaged: 2024-08-05 18:53:50 UTC; root
 Author: Carl Boettiger [aut, cre, cph]
     (<https://orcid.org/0000-0002-1642-628X>),
   Bryce Mecum [rev] (<https://orcid.org/0000-0002-0381-3766>),
@@ -49,4 +50,4 @@
   Viktor Senderov [ctb] (<https://orcid.org/0000-0003-3340-5963>)
 Maintainer: Carl Boettiger <cboettig@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-12-19 12:10:02 UTC
+Date/Publication: 2024-08-17 06:00:05 UTC

=== debian/changelog ===
r-cran-rdflib (0.2.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 10 Oct 2024 12:47:33 +0900
